summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author core <eroc@linuxmail.org>2010-05-11 20:01:50 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:50 +0200
commit200615ba4b08265a6af43a06879fd2bfca950e34 (patch)
tree01227807ee538045502a6657e22384e07deb1f17 /office
parent97d652ff7a5f046d916fb1b82aa889f82da42b30 (diff)
downloadslackbuilds-200615ba4b08265a6af43a06879fd2bfca950e34.tar.gz
slackbuilds-200615ba4b08265a6af43a06879fd2bfca950e34.tar.xz
office/lyx_qt4: Added to 12.0 repository
Diffstat (limited to 'office')
-rw-r--r--office/lyx_qt4/README12
-rw-r--r--office/lyx_qt4/lyx_qt4.SlackBuild70
-rw-r--r--office/lyx_qt4/lyx_qt4.info8
-rw-r--r--office/lyx_qt4/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/office/lyx_qt4/README b/office/lyx_qt4/README
new file mode 100644
index 0000000000..5f0938e472
--- /dev/null
+++ b/office/lyx_qt4/README
@@ -0,0 +1,12 @@
+LyX - A WYSIWYM document processor.
+
+LyX is for people that write and want their writing to look great,
+right out of the box. No more endless tinkering with formatting
+details, 'finger painting' font attributes or futzing around with
+page boundaries. You just write. In the background, Prof. Knuth's
+legendary TeX typesetting engine makes you look good.
+
+This version of lyx (1.5.x) requires qt4 (qt-4.x), for which a build
+script is also available at SlackBuilds.org. Note that this package
+conflicts with the lyx-1.4.x package that links qt3, so pick one or
+the other.
diff --git a/office/lyx_qt4/lyx_qt4.SlackBuild b/office/lyx_qt4/lyx_qt4.SlackBuild
new file mode 100644
index 0000000000..735254df72
--- /dev/null
+++ b/office/lyx_qt4/lyx_qt4.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for lyx
+
+# Written by core (eroc@linuxmail.org)
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=lyx_qt4
+SRCNAM=lyx
+VERSION=1.5.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-shared=yes \
+ --with-aspell \
+ --with-ispell
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS ANNOUNCE ChangeLog COPYING INSTALL* NEWS \
+ README* RELEASE-NOTES UPGRADING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/office/lyx_qt4/lyx_qt4.info b/office/lyx_qt4/lyx_qt4.info
new file mode 100644
index 0000000000..c66c68ce50
--- /dev/null
+++ b/office/lyx_qt4/lyx_qt4.info
@@ -0,0 +1,8 @@
+PRGNAM="lyx_qt4"
+VERSION="1.5.3"
+HOMEPAGE="http://www.lyx.org"
+DOWNLOAD="ftp://ftp.lyx.org/pub/lyx/stable/lyx-1.5.3.tar.gz"
+MD5SUM="26d5dbe16b84d7d0e0d22fb3e04b153c"
+MAINTAINER="core"
+EMAIL="eroc@linuxmail.org"
+APPROVED="rworkman"
diff --git a/office/lyx_qt4/slack-desc b/office/lyx_qt4/slack-desc
new file mode 100644
index 0000000000..44d95588e9
--- /dev/null
+++ b/office/lyx_qt4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lyx_qt4: LyX (WYSIWYM document processor)
+lyx_qt4:
+lyx_qt4: LyX is for people that write and want their writing to look great,
+lyx_qt4: right out of the box. No more endless tinkering with formatting
+lyx_qt4: details, 'finger painting' font attributes or futzing around with
+lyx_qt4: page boundaries. You just write. In the background, Prof. Knuth's
+lyx_qt4: legendary TeX typesetting engine makes you look good.
+lyx_qt4:
+lyx_qt4: Homepage: http://www.lyx.org
+lyx_qt4:
+lyx_qt4: